;TI-83/84 Plus Token Hook Include File
;09/02/2012
;Compiled by Zachary Wassall (runer112@gmail.com)

;TOKEN HOOK BASICS
;-------------------------------------------------------
;Hook must start with .db 83h
;
;To set hook, load page into A (0 for RAM), load pointer
;  into HL, and B_CALL(_SetTokenHook)
;
;Value is passed in DE, or BC with DE=hExtend for new
;  tokens in 1.16+
;
;To use default string, return with HL preserved
;
;To replace string, copy the custom length-prefixed
;  string (1 byte length) to localTokStr+1 and return
;  with HL=localTokStr * DO NOT OVERWRITE (localTokStr) *

;.nolist
;#include "ti83plus.inc"
;.list

;Tokens
;-------------------------------------------------------
hUnused00		= 000h

hToDMS			= 002h ;Lconvert,"DMS"
hToDEC			= 004h ;Lconvert,"Dec"
hToAbc			= 006h ;Lconvert,"Frac"

hStore			= 008h ;Lstore

hBoxPlot		= 00Ah ;"Boxplot"

hLBrack			= 00Ch ;LlBrack
hRBrack			= 00Eh ;"]"
hLBrace			= 010h ;"{"
hRBrace			= 012h ;"}"

hFromRad		= 014h ;Lradian
hFromDeg		= 016h ;Ldegree
hRecip			= 018h ;Linverse
hSqr			= 01Ah ;Lsquare
hTrnspos		= 01Ch ;Ltranspose
hCube			= 01Eh ;Lcube

hLParen			= 020h ;"("
hRParen			= 022h ;")"

hRound			= 024h ;"round("
hPxTst			= 026h ;"pxl-Test("
hAug			= 028h ;"augment("
hRowSwap		= 02Ah ;"rowSwap("
hRowPlus		= 02Ch ;"row+("
hmRow			= 02Eh ;"*row("
hmRowPlus		= 030h ;"*row+("
hMax			= 032h ;"max("
hMin			= 034h ;"min("
hRToPr			= 036h ;"R",Lconert,"Pr"
hRToPo			= 038h ;"R"Lconvert,"P",Ltheta
hPToRx			= 03Ah ;"P",Lconert,"Rx"
hPToRy			= 03Ch ;"P",Lconert,"Ry"
hMedian			= 03Eh ;"median("
hRandM			= 040h ;"randM("
hMean			= 042h ;"mean("
hRoot			= 044h ;"solve("
hSeries			= 046h ;"seq("
hFnInt			= 048h ;"fnInt("
hNDeriv			= 04Ah ;"nDeriv("
hUnused01		= 04Ch
hFmin			= 04Eh ;"fMin("
hFmax			= 050h ;"fMax"

hSpace			= 052h ;" "
hString			= 054h ;Lquote
hComma			= 056h ;","

hii			= 058h ;LimagI

;Postfix Functions
;-------------------------------------------------------
hFact			= 05Ah ;"!"

hCubicR			= 05Ch ;"CubicReg "
hQuartR			= 05Eh ;"QuartReg "

;Number Tokens 
;-------------------------------------------------------
h0			= 060h ;"0"
h1			= 062h ;"1"
h2			= 064h ;"2"
h3			= 066h ;"3"
h4			= 068h ;"4"
h5			= 06Ah ;"5"
h6			= 06Ch ;"6"
h7			= 06Eh ;"7"
h8			= 070h ;"8"
h9			= 072h ;"9"
hDecPt			= 074h ;"."
hee			= 076h ;Lexponent

;Binary OP
;-------------------------------------------------------
hOr			= 078h ;" or "
hXor			= 07Ah ;" xor "

hColon			= 07Ch ;":"
hEnter			= 07Eh ;Lenter

hAnd			= 080h ;" and "

;Letter Tokens
;-------------------------------------------------------
hA			= 082h ;"A"
hB			= 084h ;"B"
hC			= 086h ;"C"
hD			= 088h ;"D"
hE			= 08Ah ;"E"
hF			= 08Ch ;"F"
hG			= 08Eh ;"G"
hH			= 090h ;"H"
hI			= 092h ;"I"
hJ			= 094h ;"J"
hK			= 096h ;"K"
hL			= 098h ;"L"
hM			= 09Ah ;"M"
hN			= 09Ch ;"N"
hO			= 09Eh ;"O"
hP			= 0A0h ;"P"
hQ			= 0A2h ;"Q"
hR			= 0A4h ;"R"
hS			= 0A6h ;"S"
hT			= 0A8h ;"T"
hU			= 0AAh ;"U"
hV			= 0ACh ;"V"
hW			= 0AEh ;"W"
hX			= 0B0h ;"X"
hY			= 0B2h ;"Y"
hZ			= 0B4h ;"Z"
hTheta			= 0B6h ;Ltheta

;These Var Tokens Are 1st Of A Double Token
;-------------------------------------------------------
;User Matrix Token, 2nd Token Needed For Name
;User List Token, 2nd Token Needed For Name
;User =ation Token, 2nd Token Needed For Name

hProg			= 0BEh ;"prgm"

;User Pict Token, 2nd Token Needed For Name
;User GDB Token, 2nd Token Needed For Name
;System Output Only Variables, 2nd Token Needed For Name
;System Input/Output Variables, 2nd Token Needed For Name

;Mode Setting Commands
;-------------------------------------------------------
hRad			= 0C8h ;"Radian"
hDeg			= 0CAh ;"Degree"
hNormF			= 0CCh ;"Normal"
hSci			= 0CEh ;"Sci"
hEng			= 0D0h ;"Eng"
hFloat			= 0D2h ;"Float"

hEQ			= 0D4h ;"="
hLT			= 0D6h ;"<"
hGT			= 0D8h ;">"
hLE			= 0DAh ;LLE
hGE			= 0DCh ;LGE
hNE			= 0DEh ;LNE

;Binary OP
;-------------------------------------------------------
hAdd			= 0E0h ;"+"
hSub			= 0E2h ;"-"
hAns			= 0E4h ;"Ans"

;Mode Setting Commands
;-------------------------------------------------------
hFix			= 0E6h ;"Fix "
hSplitOn		= 0E8h ;"Horiz"
hFullScreen		= 0EAh ;"Full"
hStndrd			= 0ECh ;"Func"
hParam			= 0EEh ;"Param"
hPolar			= 0F0h ;"Pol"
hSeqG			= 0F2h ;"Seq"
hAFillOn		= 0F4h ;"IndpntAuto"
hAFillOff		= 0F6h ;"IndpntAsk"
hACalcOn		= 0F8h ;"DependAuto"
hACalcOff		= 0FAh ;"DependAsk"

;Graph Format Token, 2nd Token Needed For Name

hBoxIcon		= 0FEh ;LboxIcon
hCrossIcon		= 100h ;LcrossIcon
hDotIcon		= 102h ;LdotIcon

;(More) Binary OP
;-------------------------------------------------------
hMul			= 104h ;"*"
hDiv			= 106h ;"/"

;Some Graph Commands
;-------------------------------------------------------
hTrace			= 108h ;"Trace"
hClDrw			= 10Ah ;"ClrDraw"
hZoomStd		= 10Ch ;"ZStandard"
hZoomTrg		= 10Eh ;"ZTrig"
hZoomBox		= 110h ;"ZBox"
hZoomIn			= 112h ;"Zoom In"
hZoomOut		= 114h ;"Zoom Out"
hZoomSqr		= 116h ;"ZSquare"
hZoomInt		= 118h ;"ZInteger"
hZoomPrev		= 11Ah ;"ZPrevious"
hZoomDec		= 11Ch ;"ZDecimal"
hZoomStat		= 11Eh ;"ZoomStat"
hUsrZm			= 120h ;"ZoomRcl"
hPrtScrn		= 122h ;"PrintScreen"
hZoomSto		= 124h ;"ZoomSto"
hText			= 126h ;"Text("

;Binary OP (Combination & Permutation)
;-------------------------------------------------------
hnPr			= 128h ;" nPr "
hnCr			= 12Ah ;" nCr "

;More Graph Commands
;-------------------------------------------------------
hYOn			= 12Ch ;"FnOn "
hYOff			= 12Eh ;"FnOff "
hStPic			= 130h ;"StorePic "
hRcPic			= 132h ;"RecallPic "
hStoDB			= 134h ;"StoreGDB "
hRclDB			= 136h ;"RecallGDB "
hLine			= 138h ;"Line("
hVert			= 13Ah ;"Vertical "
hPtOn			= 13Ch ;"Pt-On("
hPtOff			= 13Eh ;"Pt-Off("

;Token A0 Cannot Be An EOS Function Since Low MULT=A0 Already
;-------------------------------------------------------
hPtChg			= 140h ;"Pt-Change("
hPXOn			= 142h ;"Pxl-On("
hPXOff			= 144h ;"Pxl-Off("
hPXChg			= 146h ;"Pxl-Change("
hShade			= 148h ;"Shade("
hCircl			= 14Ah ;"Circle("
hHorz			= 14Ch ;"Horizontal "
hTanLn			= 14Eh ;"Tangent("
hDrInv			= 150h ;"DrawInv "
hDrawF			= 152h ;"DrawF "

;User String Token, 2nd Token Needed For Name

;Functions with No Arguments                                    
;--------------------------------------------
hRand			= 156h ;"rand"
hPi			= 158h ;Lpi
hGetKey			= 15Ah ;"getKey"

hAPost			= 15Ch ;Lapostophe
hQuest			= 15Eh ;"?"

hChs			= 160h ;"Lneg"
hInt			= 162h ;"int("
hAbs			= 164h ;"abs("
hDet			= 166h ;"det("
hIdent			= 168h ;"identity("
hDim			= 16Ah ;"dim("
hSum			= 16Ch ;"sum("
hProd			= 16Eh ;"prod("
hNot			= 170h ;"not("
hIPart			= 172h ;"iPart("
hFPart			= 174h ;"fPart("

;New 2 Byte Tokens
;----------------------------------------------------
;t2ByteTok Token, 2nd Token Needed For Name

hSqrt			= 178h ;Lroot,"("
hCubRt			= 17Ah ;LcubeR,Lroot,"("
hLn			= 17Ch ;"ln("
hExp			= 17Eh ;Llne,"^("
hLog			= 180h ;"log("
hALog			= 182h ;Lten,"^("
hSin			= 184h ;"sin("
hASin			= 186h ;"sin",Linverse,"("
hCos			= 188h ;"cos("
hACos			= 18Ah ;"cos",Linverse,"("
hTan			= 18Ch ;"tan("
hATan			= 18Eh ;"tan",Linverse,""
hSinH			= 190h ;"sinh("
hASinH			= 192h ;"sinh",Linverse,"("
hCoshH			= 194h ;"cosh("
hACosH			= 196h ;"cosh",Linverse,"("
hTanH			= 198h ;"tanh("
hATanH			= 19Ah ;"tanh",Linverse,"("

;Some Programming Commands
;--------------------------------------------
hIf			= 19Ch ;"If "
hThen			= 19Eh ;"Then"
hElse			= 1A0h ;"Else"
hWhile			= 1A2h ;"While "
hRepeat			= 1A4h ;"Repeat "
hFor			= 1A6h ;"For("
hEnd			= 1A8h ;"End"
hReturn			= 1AAh ;"Return"
hLbl			= 1ACh ;"Lbl "
hGoto			= 1AEh ;"Goto "
hPause			= 1B0h ;"Pause "
hStop			= 1B2h ;"Stop"
hISG			= 1B4h ;"IS>("
hDSL			= 1B6h ;"DS<("
hInput			= 1B8h ;"Input "
hPrompt			= 1BAh ;"Prompt "
hDisp			= 1BCh ;"Disp "
hDispG			= 1BEh ;"DispGraph"

hOutput			= 1C0h ;"Output("
hClLCD			= 1C2h ;"ClrHome"
hConst			= 1C4h ;"Fill("
hSortA			= 1C6h ;"SortA("
hSortD			= 1C8h ;"SortD("
hDispTab		= 1CAh ;"DispTable"
hMenu			= 1CCh ;"Menu("
hSendMBL		= 1CEh ;"Send("
hGetMBL			= 1D0h ;"Get("

;Stat Plot Commands
;------------------------------------------------
hPlotOn			= 1D2h ;"PlotsOn "
hPlotOff		= 1D4h ;"PlotsOff "

hListName		= 1D6h ;LlistL

hPlot1			= 1D8h ;"Plot1("
hPlot2			= 1DAh ;"Plot2("
hPlot3			= 1DCh ;"Plot3("

;84 Plus Only Token, 2nd Token Needed For Name

hPower			= 1E0h ;"^"
hXRoot			= 1E2h ;LsupX,Lroot

hOneVar			= 1E4h ;"1-Var Stats "
hTwoVar			= 1E6h ;"2-Var Stats "
hLR			= 1E8h ;"LinReg(a+bx) "
hLRExp			= 1EAh ;"ExpReg "
hLRLn			= 1ECh ;"LnReg "
hLRPwr			= 1EEh ;"PwrReg "
hMedMed			= 1F0h ;"Med-Med "
hQuad			= 1F2h ;"QuadReg "
hClrLst			= 1F4h ;"ClrList "
hClrTbl			= 1F6h ;"ClrTable"
hHist			= 1F8h ;"Histogram"
hxyLine			= 1FAh ;"xyLine"
hScatter		= 1FCh ;"Scatter"
hLR1			= 1FEh ;"LinReg(ax+b) "

;2nd Half Of User Matrix Tokens
;---------------------------------------------
hMatA			= 200h ;LlBrack,"A]"
hMatB			= 202h ;LlBrack,"B]"
hMatC			= 204h ;LlBrack,"C]"
hMatD			= 206h ;LlBrack,"D]"
hMatE			= 208h ;LlBrack,"E]"
hMatF			= 20Ah ;LlBrack,"F]"
hMatG			= 20Ch ;LlBrack,"G]"
hMatH			= 20Eh ;LlBrack,"H]"
hMatI			= 210h ;LlBrack,"I]"
hMatJ			= 212h ;LlBrack,"J]"

;2nd Half Of User List Tokens
;------------------------------------------
hL1			= 214h ;"L",Lsub1
hL2			= 216h ;"L",Lsub2
hL3			= 218h ;"L",Lsub3
hL4			= 21Ah ;"L",Lsub4
hL5			= 21Ch ;"L",Lsub5
hL6			= 21Eh ;"L",Lsub6

;2nd Half Of User =ation Tokens
;------------------------------------------------
;"Y" =ations Have Bit 4 Set

hY1			= 220h ;"Y",Lsub1
hY2			= 222h ;"Y",Lsub2
hY3			= 224h ;"Y",Lsub3
hY4			= 226h ;"Y",Lsub4
hY5			= 228h ;"Y",Lsub5
hY6			= 22Ah ;"Y",Lsub6
hY7			= 22Ch ;"Y",Lsub7
hY8			= 22Eh ;"Y",Lsub8
hY9			= 230h ;"Y",Lsub9
hY0			= 232h ;"Y",Lsub0

;Param =ations Have Bit 5 Set

hX1T			= 234h ;"X",Lsub1,LsubT
hY1T			= 236h ;"Y",Lsub1,LsubT
hX2T			= 238h ;"X",Lsub2,LsubT
hY2T			= 23Ah ;"Y",Lsub2,LsubT
hX3T			= 23Ch ;"X",Lsub3,LsubT
hY3T			= 23Eh ;"Y",Lsub3,LsubT
hX4T			= 240h ;"X",Lsub4,LsubT
hY4T			= 242h ;"Y",Lsub4,LsubT
hX5T			= 244h ;"X",Lsub5,LsubT
hY5T			= 246h ;"Y",Lsub5,LsubT
hX6T			= 248h ;"X",Lsub6,LsubT
hY6T			= 24Ah ;"Y",Lsub6,LsubT

;Polar =ations Have Bit 6 Set

hR1			= 24Ch ;"r",Lsub1
hR2			= 24Eh ;"r",Lsub2
hR3			= 250h ;"r",Lsub3
hR4			= 252h ;"r",Lsub4
hR5			= 254h ;"r",Lsub5
hR6			= 256h ;"r",Lsub6

;Recursion =ations Have Bit 7 Set

hun			= 258h ;"u"
hvn			= 25Ah ;"v"
hwn			= 25Ch ;"w"

;2nd Half Of User Picture Tokens
;---------------------------------------
hPic1			= 25Eh ;"Pic1"
hPic2			= 260h ;"Pic2"
hPic3			= 262h ;"Pic3"
hPic4			= 264h ;"Pic4"
hPic5			= 266h ;"Pic5"
hPic6			= 268h ;"Pic6"
hPic7			= 26Ah ;"Pic7"
hPic8			= 26Ch ;"Pic8"
hPic9			= 26Eh ;"Pic9"
hPic0			= 270h ;"Pic0"

;2nd Half Of User Graph Database Tokens
;---------------------------------------
hGDB1			= 272h ;"GDB1"
hGDB2			= 274h ;"GDB2"
hGDB3			= 276h ;"GDB3"
hGDB4			= 278h ;"GDB4"
hGDB5			= 27Ah ;"GDB5"
hGDB6			= 27Ch ;"GDB6"
hGDB7			= 27Eh ;"GDB7"
hGDB8			= 280h ;"GDB8"
hGDB9			= 282h ;"GDB9"
hGDB0			= 284h ;"GDB0"

;2nd Half Of String Vars
;---------------------------------------
hStr1			= 286h ;"Str1"
hStr2			= 288h ;"Str2"
hStr3			= 28Ah ;"Str3"
hStr4			= 28Ch ;"Str4"
hStr5			= 28Eh ;"Str5"
hStr6			= 290h ;"Str6"
hStr7			= 292h ;"Str7"
hStr8			= 294h ;"Str8"
hStr9			= 296h ;"Str9"
hStr0			= 298h ;"Str0"

;2nd Half Of System Output Only Variables
;------------------------------------------------------------
hUnused02		= 29Ah
hRegEq			= 29Ch ;"RegEQ"
hStatN			= 29Eh ;"n"
hXMean			= 2A0h ;LxMean
hSumX			= 2A2h ;LcapSigma,"x"
hSumXSqr		= 2A4h ;Lcapsigma,"x",Lsquare
hStdX			= 2A6h ;"Sx"
hStdPX			= 2A8h ;Lsigma,"x"
hMinX			= 2AAh ;"minX"
hMaxX			= 2ACh ;"maxX"
hMinY			= 2AEh ;"minY"
hMaxY			= 2B0h ;"maxY"
hYmean			= 2B2h ;LyMean
hSumY			= 2B4h ;LcapSigma,"y"
hSumYSqr		= 2B6h ;LcapSigma,"y",Lsquare
hStdY			= 2B8h ;"Sy"
hStdPY			= 2BAh ;Lsigma,"y"
hSumXY			= 2BCh ;LcapSigma,"xy"
hCorr			= 2BEh ;"r"
hMedX			= 2C0h ;"Med"
hQ1			= 2C2h ;"Q",Lsub1
hQ3			= 2C4h ;"Q",Lsub3
hQuadA			= 2C6h ;"a"
hQuadB			= 2C8h ;"b"
hQuadC			= 2CAh ;"c"
hCubeD			= 2CCh ;"d"
hQuartE			= 2CEh ;"e"
hMedX1			= 2D0h ;"x",Lsub1
hMedX2			= 2D2h ;"x",Lsub2
hMedX3			= 2D4h ;"x",Lsub3
hMedY1			= 2D6h ;"y",Lsub1
hMedY2			= 2D8h ;"y",Lsub2
hMedY3			= 2DAh ;"y",Lsub3
hRecurn			= 2DCh ;LrecurN
hStatP			= 2DEh ;"p"
hStatZ			= 2E0h ;"z"
hStatT			= 2E2h ;"t"
hStatChi		= 2E4h ;Lchi,Lsquare
hStatF			= 2E6h ;LstatF
hStatDF			= 2E8h ;"df"
hStatPhat		= 2EAh ;Lphat
hStatPhat1		= 2ECh ;Lphat,Lsub1
hStatPhat2		= 2EEh ;Lphat,Lsub2
hStatMeanX1		= 2F0h ;LxMean,Lsub1
hStatStdX1		= 2F2h ;"Sx",Lsub1
hStatN1			= 2F4h ;"n",Lsub1
hStatMeanX2		= 2F6h ;LxMean,Lsub2
hStatStdX2		= 2F8h ;"Sx",Lsub2
hStatN2			= 2FAh ;"n",Lsub2
hStatStdXP		= 2FCh ;"Sxp"
hStatLower		= 2FEh ;"lower"
hStatUpper		= 300h ;"upper"
hStat_s			= 302h ;"s"
hLRSqr			= 304h ;"r",Lsquare
hBRSqr			= 306h ;"R",Lsquare

;These next tokens are only used to access the data
;they are display only and the user cannot access them at all

hF_DF			= 308h ;"df"
hF_SS			= 30Ah ;"SS"
hF_MS			= 30Ch ;"MS"
hE_DF			= 30Eh ;"df"
hE_SS			= 310h ;"SS"
hE_MS			= 312h ;"MS"

;2nd Half Of System Input/Output Variables
;------------------------------------------------------

huXscl			= 314h ;"ZXscl"
huYscl			= 316h ;"ZYscl"
hXscl			= 318h ;"Xscl"
hYscl			= 31Ah ;"Yscl"
hRecuru0		= 31Ch ;"u(",LrecurN,"Min)"
hRecurv0		= 31Eh ;"v(",LrecurN,"Min)"
hun1			= 320h ;"U",LrecurN,"-",Lsub1
hvn1			= 322h ;"V",LrecurN,"-",Lsub1
huRecuru0		= 324h ;"Zu(",LrecurN,"Min)"
huRecurv0		= 326h ;"Zv(",LrecurN,"Min)"
hXmin			= 328h ;"Xmin"
hXmax			= 32Ah ;"Xmax"
hYmin			= 32Ch ;"Ymin"
hYmax			= 32Eh ;"Ymax"
hTmin			= 330h ;"Tmin"
hTmax			= 332h ;"Tmax"
hThetaMin		= 334h ;Ltheta,"min"
hThetaMax		= 336h ;Ltheta,"max"
huXmin			= 338h ;"ZXmin"
huXmax			= 33Ah ;"ZXmax"
huYmin			= 33Ch ;"ZYmin"
huYmax			= 33Eh ;"ZYmax"
huThetMin		= 340h ;"Z",Ltheta,"min"
huThetMax		= 342h ;"Z",Ltheta,"max"
huTmin			= 344h ;"ZTmin"
huTmax			= 346h ;"ZTmax"
hTblMin			= 348h ;"TblStart"
hPlotStart		= 34Ah ;"PlotStart"
huPlotStart		= 34Ch ;"ZPlotStart"
hnMax			= 34Eh ;Lrecurn,"Max"
hunMax			= 350h ;"Z",LrecurN,"Max"
hnMin			= 352h ;Lrecurn,"Min"
hunMin			= 354h ;"Z",LrecurN,"Min"
hTblStep		= 356h ;LcapDelta,"Tbl"
hTStep			= 358h ;"Tstep"
hThetaStep		= 35Ah ;Ltheta,"step"
huTStep			= 35Ch ;"ZTstep"
huThetStep		= 35Eh ;"Z",Ltheta,"step"
hDeltaX			= 360h ;LcapDelta,"X"
hDeltaY			= 362h ;LcapDelta,"Y"
hXFact			= 364h ;"XFact"
hYFact			= 366h ;"YFact"
hTblInput		= 368h ;"TblInput"
hFinN			= 36Ah ;LfinanN
hFinI			= 36Ch ;"I",Lpercent
hFinPV			= 36Eh ;"PV"
hFinPMT			= 370h ;"PMT"
hFinFV			= 372h ;"FV"
hFinPY			= 374h ;"P/Y"
hFinCY			= 376h ;"C/Y"
hRecurw0		= 378h ;"w(",LrecurN,"Min)"
huRecurw0		= 37Ah ;"Zw(",LrecurN,"Min)"
hPlotStep		= 37Ch ;"PlotStep"
huPlotStep		= 37Eh ;"PlotStart"
hXres			= 380h ;"Xres"
huXres			= 382h ;"ZXres"

;2nd Half Of Graph Format Tokens
;---------------------------------------------

hSeq			= 384h ;"S=ential"
hSimulG			= 386h ;"Simul"
hPolarG			= 388h ;"PolarGC"
hRectG			= 38Ah ;"RectGC"
hCoordOn		= 38Ch ;"CoordOn"
hCoordOff		= 38Eh ;"CoordOff"
hDrawLine		= 390h ;"Connected"
hDrawDot		= 392h ;"Dot"
hAxisOn			= 394h ;"AxesOn"
hAxisOff		= 396h ;"AxesOff"
hGridOn			= 398h ;"GridOn"
hGridOff		= 39Ah ;"GridOff"
hLblOn			= 39Ch ;"LabelOn"
hLblOff			= 39Eh ;"LabelOff"
hWebOn			= 3A0h ;"Web"
hWebOff			= 3A2h ;"Time"
huv			= 3A4h ;"uvAxes"
hvw			= 3A6h ;"vwAxes"
huw			= 3A8h ;"uwAxes"

;2nd Half Of t2ByteTok Tokens
;-------------------------------
hFinNPV			= 3AAh ;"npv("
hFinIRR			= 3ACh ;"irr("
hFinBAL			= 3AEh ;"bal("
hFinPRN			= 3B0h ;LcapSigma,"Prn("
hFinINT			= 3B2h ;LcapSigna,"Int("
hFinToNom		= 3B4h ;Lconvert,"Nom("
hFinToEff		= 3B6h ;Lconvert,"Eff("
hFinDBD			= 3B8h ;"dbd("
hLCM			= 3BAh ;"lcm"
hGCD			= 3BCh ;"gcd"
hRandInt		= 3BEh ;"randInt("
hRandBin		= 3C0h ;"randBin("
hSubStrng		= 3C2h ;"sub("
hStdDev			= 3C4h ;"stdDev("
hVariance		= 3C6h ;"variance("
hInStrng		= 3C8h ;"inString("
hDNormal		= 3CAh ;"normalcdf("
hInvNorm		= 3CCh ;"invNorm("
hDT			= 3CEh ;"tcdf("
hChI			= 3D0h ;Lchi,Lsquare,"cdf("
hDF			= 3D2h ;LstatF,"cdf("
hBINPDF			= 3D4h ;"binompdf("
hBINCDF			= 3D6h ;"binomcdf("
hPOIPDF			= 3D8h ;"poissonpdf("
hPOICDF			= 3DAh ;"poissoncdf("
hGEOPDF			= 3DCh ;"geometpdf("
hGEOCDF			= 3DEh ;"geometcdf("
hNormalPDF		= 3E0h ;"normalpdf("
hTPDF			= 3E2h ;"tpdf("
hChiPDF			= 3E4h ;Lchi,Lsquare,"pdf("
hFPDF			= 3E6h ;LstatF,"pdf("
hRandNorm		= 3E8h ;"randNorm("
hFinFPMT		= 3EAh ;"tvm_Pmt"
hFinFI			= 3ECh ;"tvm_I%"
hFinFPV			= 3EEh ;"tvm_PV"
hFinFN			= 3F0h ;"tvm_",LfinanN
hFinFFV			= 3F2h ;"tvm_FV"
hConj			= 3F4h ;"conj("
hReal			= 3F6h ;"real("
hImag			= 3F8h ;"imag("
hAngle			= 3FAh ;"angle("
hCumSum			= 3FCh ;"cumSum("
hExpr			= 3FEh ;"expr("
hLength			= 400h ;"length("
hDeltaLst		= 402h ;LcapDelta,"List("
hRef			= 404h ;"ref("
hRRef			= 406h ;"rref("
hToRect			= 408h ;Lconvert,"Rect"
hToPolar		= 40Ah ;Lconvert,"Polar"
hConste			= 40Ch ;Llne
hSinReg			= 40Eh ;"SinReg "
hLogistic		= 410h ;"Logistic "
hLinRegTTest		= 412h ;"LinRegTTest "
hShadeNorm		= 414h ;"ShadeNorm("
hShadeT			= 416h ;"Shade_t("
hShadeChi		= 418h ;"Shade",Lchi,Lsquare
hShadeF			= 41Ah ;"Shade",LstatF
hMatToLst		= 41Ch ;"Matr",Lconvert,"list("
hLstToMat		= 41Eh ;"List",Lconvert,"matr("
hZTest			= 420h ;"Z-Test("
hTTest			= 422h ;"T-Test("
h2SampZTest		= 424h ;"2-SampZTest("
h1PropZTest		= 426h ;"1-PropZTest("
h2PropZTest		= 428h ;"2-PropZTest("
hChiTest		= 42Ah ;Lchi,Lsquare,"-Test("
hZIntVal		= 42Ch ;"ZInterval "
h2SampZInt		= 42Eh ;"2-SampZInt("
h1PropZInt		= 430h ;"1-PropZInt("
h2PropZInt		= 432h ;"2-PropZInt("
hGraphStyle		= 434h ;"GraphStyle("
h2SampTTest		= 436h ;"2-SampTTest "
h2SampFTest		= 438h ;"2-Samp",LstatF,"Test "
hTIntVal		= 43Ah ;"TInterval "
h2SampTInt		= 43Ch ;"2-SampTInt "
hSetupLst		= 43Eh ;"SetUpEditor "
hFinPMTend		= 440h ;"Pmt_End"
hFinPMTbeg		= 442h ;"Pmt_Bgn"
hRealM			= 444h ;"Real"
hPolarM			= 446h ;"re^",Ltheta,LimagI
hRectM			= 448h ;"a+b",LimagI
hExprOn			= 44Ah ;"ExprOn"
hExprOff		= 44Ch ;"ExprOff"
hClrAllLst		= 44Eh ;"ClrAllLists"
hGetCalc		= 450h ;"GetCalc("
hDelVar			= 452h ;"DelVar "
hEquToStrng		= 454h ;"=",Lconvert,"String("
hStrngToEqu		= 456h ;"String",Lconvert,"=("
hDelLast		= 458h ;"Clear Entries"
hSelect			= 45Ah ;"Select("
hANOVA			= 45Ch ;"ANOVA("
hModBox			= 45Eh ;"ModBoxplot"
hNormProb		= 460h ;"NormProbPlot"
hUnused03		= 462h ;Can interfere with edit buffer navigation
hUnused04		= 464h ;Can interfere with edit buffer navigation
hUnused05		= 466h ;Can interfere with edit buffer navigation
hUnused06		= 468h
hUnused07		= 46Ah ;Can interfere with edit buffer navigation
hUnused08		= 46Ch ;Can interfere with edit buffer navigation
hUnused09		= 46Eh ;Can interfere with edit buffer navigation
hUnused10		= 470h ;Can interfere with edit buffer navigation
hMGT			= 472h ;"G-T"
hZFit			= 474h ;"ZoomFit"
hDiag_on		= 476h ;"DiagnosticOn"
hDiag_off		= 478h ;"DiagnosticOff"
hOkEnd2v0		= 478h
hArchive		= 47Ah ;"Archive "
hUnarchive		= 47Ch ;"UnArchive "
hasm			= 47Eh ;"Asm("
hasmComp		= 480h ;"AsmComp("
hasmPrgm		= 482h ;"AsmPrgm"
hasmCmp			= 484h
hLcapAAcute		= 486h ;LcapAAcute
hLcapAGrave		= 488h ;LcapAGrave
hLcapACaret		= 48Ah ;LcapACaret
hLcapADier		= 48Ch ;LcapADier
hLaAcute		= 48Eh ;LaAcute
hLaGrave		= 490h ;LaGrave
hLaCaret		= 492h ;LaCaret
hLaDier			= 494h ;LaDier
hLcapEAcute		= 496h ;LcapEAcute
hLcapEGrave		= 498h ;LcapEGrave
hLcapECaret		= 49Ah ;LcapECaret
hLcapEDier		= 49Ch ;LcapEDier
hLeAcute		= 49Eh ;LeAcute
hLeGrave		= 4A0h ;LeGrave
hLeCaret		= 4A2h ;LeCaret
hLeDier			= 4A4h ;LeDier
hUnused11		= 4A6h ;Can interfere with edit buffer navigation
hLcapIGrave		= 4A8h ;LcapIGrave
hLcapICaret		= 4AAh ;LcapICaret
hLcapIDier		= 4ACh ;LcapIDier
hLiAcute		= 4AEh ;LiAcute
hLiGrave		= 4B0h ;LiGrave
hLiCaret		= 4B2h ;LiCaret
hLiDier			= 4B4h ;LiDier
hLcapOAcute		= 4B6h ;LcapOAcute
hLcapOGrave		= 4B8h ;LcapOGrave
hLcapOCaret		= 4BAh ;LcapOCaret
hLcapODier		= 4BCh ;LcapODier
hLoAcute		= 4BEh ;LoAcute
hLoGrave		= 4C0h ;LoGrave
hLoCaret		= 4C2h ;LoCaret
hLoDier			= 4C4h ;LoDier
hLcapUAcute		= 4C6h ;LcapUAcute
hLcapUGrave		= 4C8h ;LcapUGrave
hLcapUCaret		= 4CAh ;LcapUCaret
hLcapUDier		= 4CCh ;LcapUDier
hLuAcute		= 4CEh ;LuAcute
hLuGrave		= 4D0h ;LuGrave
hLuCaret		= 4D2h ;LuCaret
hLuDier			= 4D4h ;LuDier
hLcapCCed		= 4D6h ;LcapCCed
hLcCed			= 4D8h ;LcCed
hLcapNTilde		= 4DAh ;LcapNTilde
hLnTilde		= 4DCh ;LnTilde
hLaccent		= 4DEh ;Laccent
hLgrave			= 4E0h ;Lgrave
hLdieresis		= 4E2h ;Ldieresis
hLquesDown		= 4E4h ;LquesDown
hLexclamDown		= 4E6h ;LexclamDown
hLalpha			= 4E8h ;Lalpha
hLbeta			= 4EAh ;Lbeta
hLgamma			= 4ECh ;Lgamma
hLcapDelta		= 4EEh ;LcapDelta
hLdelta			= 4F0h ;Ldelta
hLepsilon		= 4F2h ;Lepsilon
hLlambda		= 4F4h ;Llambda
hLmu			= 4F6h ;Lmu
hLpi			= 4F8h ;Lpi
hLrho			= 4FAh ;Lrho
hLcapSigma		= 4FCh ;LcapSigma
hUnused12		= 4FEh ;Can interfere with edit buffer navigation
hLphi			= 500h ;Lsigma
hLcapOmega		= 502h ;LcapOmega
hLphat			= 504h ;Lphat
hLchi			= 506h ;Lchi
hLstatF			= 508h ;LstatF
hLa			= 50Ah ;"a"
hLb			= 50Ch ;"b"
hLc			= 50Eh ;"c"
hLd			= 510h ;"d"
hLsmalle		= 512h ;"e"
hLf			= 514h ;"f"
hLsmallg		= 516h ;"g"
hLh			= 518h ;"h"
hLi			= 51Ah ;"i"
hLj			= 51Ch ;"j"
hLk			= 51Eh ;"k"
hUnused13		= 520h ;Can interfere with edit buffer navigation
hLl			= 522h ;"l"
hLm			= 524h ;"m"
hLsmalln		= 526h ;"n"
hLo			= 528h ;"o"
hLp			= 52Ah ;"p"
hLq			= 52Ch ;"q"
hLsmallr		= 52Eh ;"r"
hLs			= 530h ;"s"
hLsmallt		= 532h ;"t"
hLu			= 534h ;"u"
hLv			= 536h ;"v"
hLw			= 538h ;"w"
hLx			= 53Ah ;"x"
hLy			= 53Ch ;"y"
hLz			= 53Eh ;"z"
hLsigma			= 540h ;Lsigma
hLtau			= 542h ;Ltau
hLcapIAcute		= 544h ;LcapIAcute
hGarbagec		= 546h ;"GarbageCollect"

;All Following Values Are Passed In BC With DE=hExtend

hExtend			= 00Ch

;Added In OS Version 1.1.5

hTilde			= 548h ;Ltilde
hAPos2			= 54Ah ;Lapostrophe

;Added In OS Version 1.1.6

hAtSign			= 54Ch ;LatSign
hPound			= 54Eh ;Lpound
hDollarSign		= 550h ;F2h
hAmpersand		= 552h ;"&"
hBackquote		= 554h ;"`"
hSemicolon		= 556h ;";"
hBackslash		= 558h ;"\"
hBar			= 55Ah ;"|"
hUnderscore		= 55Ch ;"_"
hPercent		= 55Eh ;"%"
hEllipsis		= 560h ;Lellipsis
hAngleSymbol		= 562h ;Langle
hSharpS			= 564h ;F4h
hSupX			= 566h ;LsupX
hSubT			= 568h ;LsubT
hSub0			= 56Ah ;Lsub0
hSub1			= 56Ch ;Lsub1
hSub2			= 56Eh ;Lsub2
hSub3			= 570h ;Lsub3
hSub4			= 572h ;Lsub4
hSub5			= 574h ;Lsub5
hSub6			= 576h ;Lsub6
hSub7			= 578h ;Lsub7
hSub8			= 57Ah ;Lsub8
hSub9			= 57Ch ;Lsub9
hTen			= 57Eh ;Lten
hLeft			= 580h ;Lleft
hConvert		= 582h ;Lconvert
hUpArrow		= 584h ;LupArrow
hDownArrow		= 586h ;LdownArrow
hUnused14		= 588h ;Can interfere with edit buffer navigation
hCross			= 58Ah ;Lcross
hIntegral		= 58Ch ;Lintegral
hSqUp			= 58Eh ;LsqUp
hSqDown			= 590h ;LsqDown
hRootSymbol		= 592h ;Lroot
hInvEQ			= 594h ;LinvEQ

;2nd Half Of 84-Plus Only Tokens
;-----------------------------------------------
hSetDate		= 596h ;"setDate("
hSetTime		= 598h ;"setTime("
hCheckTmr		= 59Ah ;"checkTmr("
hSetDtFmt		= 59Ch ;"setDtFmt("
hSetTmFmt		= 59Eh ;"setTmFmt("
hTimeCnv		= 5A0h ;"timeCnv("
hDayOfWk		= 5A2h ;"dayOfWk("
hGetDtStr		= 5A4h ;"getDtStr("
hGetTmStr		= 5A6h ;"getTmStr("
hGetDate		= 5A8h ;"getDate("
hGetTime		= 5AAh ;"getTime("
hStartTmr		= 5ACh ;"startTmr"
hGetDtFmt		= 5AEh ;"getDtFmt"
hGetTmFmt		= 5B0h ;"getTmFmt"
hIsClockOn		= 5B2h ;"isClockOn"
hClockOff		= 5B4h ;"ClockOff"
hClockOn		= 5B6h ;"ClockOn"
hOpenLib		= 5B8h ;"OpenLib("
hExecLib		= 5BAh ;"ExecLib"

;Added In OS Version 2.30

hInvT			= 5BCh ;"invT("
hChiGOFTest		= 5BEh ;Lchi,Lsquare,"GOF-Test("
hLinRegTInt		= 5C0h ;"LinRegTInt "
hManualFit		= 5C2h ;"Manual-Fit "

;Added In OS Version 2.53

hZoomQ1			= 5C4h ;"ZQuadrant1"
hZoom1_2		= 5C6h ;"ZFrac1",F6h,"2"
hZoom1_3		= 5C8h ;"ZFrac1",F6h,"3"
hZoom1_4		= 5CAh ;"ZFrac1",F6h,"4"
hZoom1_5		= 5CCh ;"ZFrac1",F6h,"5"
hZoom1_8		= 5CEh ;"ZFrac1",F6h,"8"
hZoom1_10		= 5D0h ;"ZFrac1",F6h,"10"
hEntryBox		= 5D2h ;F7h
hUnused15		= 5D4h
hUnused16		= 5D6h
hUnused17		= 5D8h
hUnused18		= 5DAh
hUnused19		= 5DCh
hUnused20		= 5DEh
hUnused21		= 5E0h
hUnused22		= 5E2h
hUnused23		= 5E4h
hUnused24		= 5E6h
hUnused25		= 5E8h
hUnused26		= 5EAh
hUnused27		= 5ECh
hUnused28		= 5EEh
hUnused29		= 5F0h
hOver			= 5F2h ;F6h
hMix			= 5F4h ;F5h
hToggleMixed		= 5F6h ;Lconvert,"n",F6h,"d",Lleft,Lconvert,"Un",F6h,"d"
hToggleDec		= 5F8h ;Lconvert,"F",Lleft,Lconvert,"D"
hRemainder		= 5FAh ;"remainder("
hSummation		= 5FCh ;LcapSigma,"("
hLogBase		= 5FEh ;"logBASE("
hRandIntNoRep		= 600h ;randIntNoRep("
hUnused30		= 602h
hMathprint		= 604h ;"MATHPRINT"
hClassic		= 606h ;"CLASSIC"
hnOverd			= 608h ;"n",F6h,"d"
hUnOverd		= 60Ah ;"Un",F6h,"d"
hAuto			= 60Ch ;"AUTO"
hDec			= 60Eh ;"DEC"
hFrac			= 610h ;"FRAC"
hUnused31		= 612h

;Added In OS Version 2.55

hSTATWIZARDON		= 614h ;"STATWIZARD ON"
hSTATWIZARDOFF		= 616h ;"STATWIZARD OFF"
hUnused32		= 618h
hUnused33		= 61Ah
